lp:ubuntu/precise/libdbd-pg-perl

Created by James Westby on 2011-10-13 and last modified on 2012-03-10
Get this branch:
bzr branch lp:ubuntu/precise/libdbd-pg-perl
Members of Ubuntu branches can upload to this branch. Log in for directions.

Related bugs

Related blueprints

Branch information

Owner:
Ubuntu branches
Status:
Mature

Recent revisions

31. By Salvatore Bonaccorso on 2012-03-10

* Team upload.

[ Ansgar Burchardt ]
* debian/control: Convert Vcs-* fields to Git.

[ gregor herrmann ]
* Remove debian/source/local-options; abort-on-upstream-changes and
  unapply-patches are default in dpkg-source since 1.16.1.

[ Salvatore Bonaccorso ]
* Imported Upstream version 2.19.0
  + [SECURITY] CVE-2012-1151. Explicitly warn and croak with controlled
    format strings. (Closes: #661536).
* Update debian/copyright information.
  Update format to copyright-format 1.0 as released together with Debian
  Policy 3.9.3.
  Update copyright years for upstream files.
* Bump Debhelper compat level to 9.
  Adjust Build-Depends on debhelper to (>= 9).
* Bump Standards-Version to 3.9.3

30. By Colin Watson on 2011-11-16

Rebuild for Perl 5.14.

29. By Ansgar Burchardt on 2011-05-14

New upstream release.

28. By Colin Watson on 2011-05-12

Rebuild for Perl 5.12.

27. By Ansgar Burchardt on 2011-04-11

* New upstream release.
  + Fix memory leak when binding arrays. (Closes: #613493)
* Bump Standards-Version to 3.9.2 (no changes).

26. By Ansgar Burchardt on 2010-11-21

* New upstream release.
  + Supports dequoting of hex bytea format. (Closes: #598464)
* Use perl_dbi addon for dh.
  * Bump build-dependency on libdbi-perl to >= 1.612.
* No longer set TEST_AUTHOR=1 in debian/rules when running tests. It is no
  longer used by any test. Also remove build-dependencies on
  libtest-pod-coverage-perl, libtest-pod-perl and libtest-yaml-meta-perl.
* debian/copyright: Refer to "Debian systems" instead of "Debian GNU/Linux
  systems"; refer to /usr/share/common-licenses/GPL-1.
* Remove (build-)dep on perl (>= 5.10) | libversion-perl: stable already has
  a recent enough version of perl.
* Make build-dependency on libpq-dev unversioned: the version in stable is
  already more recent than 8.0.
* Add build-dependency on postgresql to enable tests. Note that the test
  programs set up their own database cluster so this works even for
  non-privileged users.
  We have to create the test cluster in /tmp instead of the current
  directory as otherwise the path to PostgreSQL's socket might be too long
  to fit in the sockaddr_un struct (cf. #602891).
  + new patch: testdir.patch
* Bump Standards-Version to 3.9.1.
* Update my email address.

25. By Ansgar Burchardt on 2010-04-24

* Add dependency on perl-dbdapi-* (see #577209).
  + Needs build-dep on libdbi-perl (>= 1.610.90+is+1.609-1~).
* debian/copyright: Minor changes for current DEP-5 proposal.
* Add myself to Uploaders.

24. By Jonathan Yu <email address hidden> on 2010-01-24

[ Jonathan Yu ]
* New upstream release

[ gregor herrmann ]
* debian/copyright: update years of upstream and packaging copyright, add
  info about third-party files.
* Add pod-spelling.patch.
* Source format 3.0 (quilt).

23. By Jonathan Yu <email address hidden> on 2009-12-17

[ Jonathan Yu ]
* New upstream release
* Standards-Version 3.8.3 (drop perl version dep)

[ Ryan Niebur ]
* Update jawnsy's email address
* Update ryan52's email address

[ Raphaƫl Hertzog ]
* Remove myself from Uploaders.

[ gregor herrmann ]
* debian/control: Changed: (build-)depend on perl instead of
  perl-modules.

22. By Gunnar Wolf on 2009-08-07

[ Gunnar Wolf ]
* New (very minor) upstream release. Merging changelog entry with
  Jonathan's, as previous version (2.15.0) has not been uploaded

[ Jonathan Yu ]
* New upstream release
  + Use PQexecPrepared even with no placeholders (RT#48155)
  + Allow execute_array and bind_param_array to take an odd number of items:
    DBI will make the missing ones undef (RT#39829)
  + Single quites around array literals when quoting arrays (RT#48420)

Branch metadata

Branch format:
Branch format 7
Repository format:
Bazaar repository format 2a (needs bzr 1.16 or later)
Stacked on:
lp:ubuntu/quantal/libdbd-pg-perl
This branch contains Public information 
Everyone can see this information.

Subscribers